class SearchResultItem {
  final String id;
  final String service_id;
  final String name;
  final String department;
  final String office;
  final String service_sector;
  final String recipient;

  SearchResultItem({
    required this.id,
    required this.service_id,
    required this.name,
    required this.department,
    required this.office,
    required this.service_sector,
    required this.recipient,
  });

  factory SearchResultItem.fromJson(Map<String, dynamic> json) {
    return SearchResultItem(
      id: json['id'],
      service_id: json['service_id'],
      name: json['name'],
      department: json['department'],
      office: json['office'],
      service_sector: json['service_sector'],
      recipient: json['recipient'],
    );
  }
}
